Subject: r-irkernel: kernel name conflict when multiple versions of R are used

From: "[email-masked]" <[email-masked]>
Date: Tue, 6 Sep 2022 22:43:10 +0000

Hi,

I've noticed that when I install r-irkernel  it also defines the kernel
entry in {profile}/share/jupyter with ir name.

If I install again r-irkernel, but with  another R version / different
profile, the kernel name is again named ir.

This is not an issue when each profile is used independently, but, when
"joining" the two profiles under jupyterhub, (and here is the problem)
 both kernels have the same name and only one entry is displayed -
according https://github.com/IRkernel/IRkernel, multiple R versions
require different kernel names.  

Do you thin it's possible to replace the default name (ir) with
something suffixed with the R version (like ir421 for R 4.2.1)  so that
the name conflict no longer occurs with multiple R versions ?

Thank you

Best,
Dan